Foreman - Bug #4710

Problems provisioning hosts in Rackspace with 1.4.1-2
03/19/2014 02:37 PM - Artur Martins
Pull request:

Description

Unable to save host in Rackspace
From logs:

waiting for instance to acquire ip address

Failed to get IP for [server_name.domain]: undefined method “public_ip_addresses' for #
<Fog::Compute::RackspaceV2::Server:[server_id_hash]>/usr/share/foreman/app/models/concerns/orchestration/compute.rb:121:in
“setComputelP'

/usr/share/foreman/vendor/ruby/1.8/gems/fog-1.19.0/lib/fog/core/model.rb:67:in “instance_eval'
/usr/share/foreman/vendor/ruby/1.8/gems/fog-1.19.0/lib/fog/core/model.rb:67:in “wait_for'
/usr/share/foreman/vendor/ruby/1.8/gems/fog-1.19.0/lib/fog/core/wait_for.rb:5:in “wait_for'
/usr/share/foreman/vendor/ruby/1.8/gems/fog-1.19.0/lib/fog/core/model.rb:64:in “wait_for'
/usr/share/foreman/app/models/concerns/orchestration/compute.rb:120:in “setComputelP’
/usr/share/foreman/app/models/concerns/orchestration.rb:148:in “send'

It seems to be related to #4616

Related issues:
Related to Foreman - Bug #2270: Unable to create instances on OpenStack witho... Closed 03/01/2013

Associated revisions

Revision 346b20ee - 04/10/2014 08:26 AM - Greg Sutcliffe
Fixes #4710, #2270 - Wait for VM to become ready before looking for IPs

History

#1 - 03/19/2014 02:39 PM - Dominic Cleal
- Category set to Compute resources

- Status changed from New to Assigned

- Assignee set to Greg Suitcliffe

- Target version set to 1.9.0

- translation missing: en.field_release set to 7
#2 - 03/19/2014 03:31 PM - Artur Martins
Sorry,incorrect version: 1.4.1-1

Nevertheless | | changed the files,

e app/models/concerns/orchestration/compute.rb
¢ app/models/concerns/fog_extensions/rackspace_v2/server.rb

to match the patch http://projects.theforeman.org/projects/foreman/repository/revisions/4963a970e3ee2a91835f4ab5a493179d96cdeedf
https://projects.theforeman.org/issues/4616
http://projects.theforeman.org/projects/foreman/repository/revisions/4963a970e3ee2a91835f4ab5a493179d96cdeedf

Unfortunately | get a new error: "Unable to save - ip value is blank!".
I do not know if it helps...

#3 - 03/19/2014 03:40 PM - Artur Martins

Started GET "/tasks/d8966770-534f-4f09-9ef7-d196£0658fb9" for 87.198.179.238 at Wed Mar 19 15:24:20 +0000 2014
Processing by TasksController#show as */*
Parameters: {"id"=>"d8966770-534f-4f09-9ef7-d196£f0658fb9"}
Rendered tasks/_list.html.erb (0.6ms)
Completed 200 OK in 3.5ms (Views: 1.2ms | ActiveRecord: 0.3ms)
Failed to save: ip value is blank!
Rendered hosts/_progress.html.erb (0.2ms)
Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

#4 - 03/20/2014 01:52 PM - Greg Sutcliffe
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1312

#5 - 03/24/2014 08:37 AM - Dominic Cleal

- translation missing: en.field_release changed from 7 to 4

Although I'm bumping this particular fix to 1.5.0, I'm reverting the one that caused it (#2270) for Foreman 1.4.2 so this issue should become resolved.

#6 - 03/25/2014 02:51 PM - Greg Sutcliffe
- Status changed from Ready For Testing to Assigned
- % Done changed from 0 to 70

#2270 was reverted due to problems, I'm currently working on a better solution where we use Fog's ready?() function to wait a bit before asking for
IPs

#7 - 03/26/2014 01:03 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

#8 - 03/26/2014 01:03 PM - Dominic Cleal

- Target version changed from 1.9.0 to 1.8.4

#9 - 04/09/2014 10:12 AM - Dominic Cleal
- Related to Bug #2270: Unable to create instances on OpenStack without floating IPs added

#10 - 04/10/2014 09:31 AM - Greg Sutcliffe
- Status changed from Ready For Testing to Closed
- % Done changed from 70 to 100

Applied in changeset 346b20ee4b7{fabc4c929c7716c46775t3339705.
